import logging
import unittest

from py_jftech import autowired, parse_date

from api import AssetOptimize

logger = logging.getLogger(__name__)


class AssetPoolTest(unittest.TestCase):

    @autowired(names={'asset': 'dividend'})
    def test_dividend_asset_optimize(self, asset: AssetOptimize = None):
        asset.get_optimize_pool(parse_date('2023-03-01'))


if __name__ == '__main__':
    unittest.main()
